AWS
probe ElastiCache

# get_cache_node_count

Returns the number of cache nodes associated to the cluster

Run it now
View details

Type | probe
Module | chaosaws.elasticache.probes
Name | get_cache_node_count
Return | integer

Usage

JSON

    {
      "name": "get-cache-node-count",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.elasticache.probes",
        "func": "get_cache_node_count",
        "arguments": {
          "cluster_id": ""
        }
      }
    }

YAML

    name: get-cache-node-count
    provider:
      arguments:
        cluster_id: ""
      func: get_cache_node_count
      module: chaosaws.elasticache.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_id | list |  | Yes | Cluster ID | Cluster identifier

example

    {
      "type": "probe",
      "name": "validate cache node count",
      "tolerance": 3,
      "provider": {
        "type": "python",
        "module": "chaosaws.elasticache.probes",
        "func": "get_cache_node_count",
        "arguments": {
          "cluster_id": "MyTestCluster"
        }
      }
    }

Signature

    def get_cache_node_count(cluster_id: str,
                             configuration: Dict[str, Dict[str, str]] = None,
                             secrets: Dict[str, Dict[str, str]] = None) -> int:
        pass

## Related starters

- AWS
  probe ElastiCache

  ## `describe_cache_cluster`

  Returns cache cluster data for given cluster
- AWS
  probe ElastiCache

  ## `count_cache_clusters_from_replication_group`

  Returns the number of cache clusters that are part of the given ReplicationGroupId
- AWS
  probe ElastiCache

  ## `get_cache_node_status`

  Returns the status of the given cache cluster